> ## Documentation Index
> Fetch the complete documentation index at: https://docs.krea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a job by ID



## OpenAPI

````yaml https://api.krea.ai/openapi.json get /jobs/{id}
openapi: 3.1.0
info:
  title: Krea API
  version: v1
servers:
  - url: https://api.krea.ai
    description: Krea API
security:
  - bearerAuth: []
tags:
  - name: General
    description: Core API operations including job management and billing information
  - name: Krea
    description: Krea-owned generation models including Krea 2
  - name: Assets
    description: >-
      Asset management endpoints for uploading and managing images, videos,
      audio files, and 3D models
  - name: Styles
    description: Style (LoRA) generation and management endpoints
  - name: Node Apps
    description: Executing custom node apps built in our nodes tool
  - name: Image
    description: Image generation endpoints
  - name: Image Enhance
    description: Image enhance endpoints
  - name: Video
    description: Video generation endpoints
paths:
  /jobs/{id}:
    get:
      tags:
        - General
      summary: Get a job by ID
      parameters:
        - in: path
          name: id
          description: A unique identifier for a job
          schema:
            type: string
            description: A unique identifier for a job
            example: 4dd4aefd-2ad8-4a1e-8156-ecd10dabdd20
          required: true
      responses:
        '200':
          description: >-
            The most up-to-date state of the job. You can check when the job is
            completed by checking the `status` field. For completed loraTraining
            jobs, the result will include a `style_id` field.
          content:
            application/json:
              schema:
                type: object
                properties:
                  job_id:
                    type: string
                    format: uuid
                  status:
                    type: string
                    enum:
                      - backlogged
                      - queued
                      - scheduled
                      - processing
                      - sampling
                      - intermediate-complete
                      - completed
                      - failed
                      - cancelled
                  created_at:
                    type: string
                    format: date-time
                  completed_at:
                    type: string
                    format: date-time
                  result:
                    type: object
                    properties:
                      urls:
                        type: array
                        items:
                          type: string
                          format: uri
                      style_id:
                        type: string
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                    required:
                      - code
                required:
                  - job_id
                  - status
                  - created_at
        '404':
          description: The job was not found or the client is not authorized to see it
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      bearerFormat: Bearer
      type: http

````